BST SOURCE CHECKOUT(1)

NAME
bst-source-checkout - Checkout sources of an element

SYNOPSIS
bst source checkout [OPTIONS] [ELEMENT]

DESCRIPTION
Checkout sources of an element to the specified location

    When this command is executed from a workspace directory, the default
    is to checkout the sources of the workspace element.

OPTIONS

-f, --force
    Allow files to be overwritten

--except PATH
    Except certain dependencies

-d, --deps [build|none|run|all]
    The dependencies whose sources to checkout [default: none]

--tar LOCATION
    Create a tarball containing the sources instead of a file tree.

--compression [gz|xz|bz2]
    The compression option of the tarball created.

--include-build-scripts

--directory DIRECTORY
    The directory to checkout the sources to

--source-remote REMOTE
    A remote for downloading cached sources

--ignore-project-source-remotes
    Ignore remote source cache servers recommended by projects